> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain the token of the remote push streaming component.

> Obtain the token of the remote push streaming component.



## OpenAPI

````yaml post /open/api/getRemoteComponentToken
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/getRemoteComponentToken:
    post:
      tags: []
      summary: Obtain the token of the remote push streaming component.
      description: Obtain the token of the remote push streaming component.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetRemoteComponentTokenReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RGetRemoteComponentTokenResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetRemoteComponentTokenReqVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: phone Id
          format: int64
        showNavigation:
          type: boolean
          description: Whether to show the three-button navigation, shown by default.
          default: true
      required:
        - phoneId
    RGetRemoteComponentTokenResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/GetRemoteComponentTokenResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    GetRemoteComponentTokenResVO:
      type: object
      properties:
        url:
          type: string
          description: Remote push streaming component URL

````